Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.cin.mycarenet.esb.common.v2
Class ObjectFactory

    java.lang.Object
      be.cin.mycarenet.esb.common.v2.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.cin.mycarenet.esb.common.v2 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.cin.mycarenet.esb.common.v2

Method Summary
`CareProviderType` | `createCareProviderType()` Create an instance of `CareProviderType`
`CommonInput` | `createCommonInput()` Create an instance of `CommonInput`
`CommonOutputType` | `createCommonOutputType()` Create an instance of `CommonOutputType`
`IdType` | `createIdType()` Create an instance of `IdType`
`LicenseType` | `createLicenseType()` Create an instance of `LicenseType`
`NihiiType` | `createNihiiType()` Create an instance of `NihiiType`
`OrigineType` | `createOrigineType()` Create an instance of `OrigineType`
`PackageType` | `createPackageType()` Create an instance of `PackageType`
`PartyType` | `createPartyType()` Create an instance of `PartyType`
`RecordCommonInputType` | `createRecordCommonInputType()` Create an instance of `RecordCommonInputType`
`RecordCommonOutputType` | `createRecordCommonOutputType()` Create an instance of `RecordCommonOutputType`
`RequestType` | `createRequestType()` Create an instance of `RequestType`
`RoutingType` | `createRoutingType()` Create an instance of `RoutingType`
`ValueRefString` | `createValueRefString()` Create an instance of `ValueRefString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.cin.mycarenet.esb.common.v2

Method Detail

### createCommonInput

    public CommonInput createCommonInput()

  Create an instance of `CommonInput`

### createRequestType

    public RequestType createRequestType()

  Create an instance of `RequestType`

### createOrigineType

    public OrigineType createOrigineType()

  Create an instance of `OrigineType`

### createValueRefString

    public ValueRefString createValueRefString()

  Create an instance of `ValueRefString`

### createRecordCommonInputType

    public RecordCommonInputType createRecordCommonInputType()

  Create an instance of `RecordCommonInputType`

### createCommonOutputType

    public CommonOutputType createCommonOutputType()

  Create an instance of `CommonOutputType`

### createRecordCommonOutputType

    public RecordCommonOutputType createRecordCommonOutputType()

  Create an instance of `RecordCommonOutputType`

### createRoutingType

    public RoutingType createRoutingType()

  Create an instance of `RoutingType`

### createPackageType

    public PackageType createPackageType()

  Create an instance of `PackageType`

### createLicenseType

    public LicenseType createLicenseType()

  Create an instance of `LicenseType`

### createPartyType

    public PartyType createPartyType()

  Create an instance of `PartyType`

### createCareProviderType

    public CareProviderType createCareProviderType()

  Create an instance of `CareProviderType`

### createIdType

    public IdType createIdType()

  Create an instance of `IdType`

### createNihiiType

    public NihiiType createNihiiType()

  Create an instance of `NihiiType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.